# Uses of Interface
org.astrogrid.samp.web.OriginAuthorizer

Packages that use OriginAuthorizer
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of OriginAuthorizer in org.astrogrid.samp.web

Fields in org.astrogrid.samp.web declared as OriginAuthorizer
Modifier and Type
Field
Description
`static final OriginAuthorizer`
OriginAuthorizers.`FALSE`
OriginAuthorizer which always denies access.
`static final OriginAuthorizer`
OriginAuthorizers.`SWING`
OriginAuthorizer which queries the user via a popup dialogue.
`static final OriginAuthorizer`
OriginAuthorizers.`TRUE`
OriginAuthorizer which always permits access.
Methods in org.astrogrid.samp.web that return OriginAuthorizer
Modifier and Type
Method
Description
`static OriginAuthorizer`
OriginAuthorizers.`createFixedOriginAuthorizer(boolean individualPolicy, boolean generalPolicy)`
Returns an OriginAuthorizer with fixed responses, regardless of input.
`static OriginAuthorizer`
OriginAuthorizers.`createLoggingOriginAuthorizer(OriginAuthorizer auth, Level acceptLevel, Level refuseLevel)`
Returns an OriginAuthorizer based on an existing one which logs responses.
`static OriginAuthorizer`
OriginAuthorizers.`createMemoryOriginAuthorizer(OriginAuthorizer auth)`
Returns an OriginAuthorizer based on an existing one which caches responses.
`OriginAuthorizer`
WebHubProfile.ServerFactory.`getOriginAuthorizer()`
Returns the authorization policy for external origins.
Methods in org.astrogrid.samp.web with parameters of type OriginAuthorizer
Modifier and Type
Method
Description
`static HttpServer.Handler`
OpenPolicyResourceHandler.`createFlashPolicyHandler(OriginAuthorizer oAuth)`
Returns a handler which can serve the /crossdomain.xml file used by Adobe Flash.
`static OriginAuthorizer`
OriginAuthorizers.`createLoggingOriginAuthorizer(OriginAuthorizer auth, Level acceptLevel, Level refuseLevel)`
Returns an OriginAuthorizer based on an existing one which logs responses.
`static OriginAuthorizer`
OriginAuthorizers.`createMemoryOriginAuthorizer(OriginAuthorizer auth)`
Returns an OriginAuthorizer based on an existing one which caches responses.
`static HttpServer.Handler`
OpenPolicyResourceHandler.`createPolicyHandler(String path, URL contentUrl, String contentType, OriginAuthorizer oAuth)`
Creates a handler suitable for serving static cross-origin policy files.
`static HttpServer.Handler`
OpenPolicyResourceHandler.`createSilverlightPolicyHandler(OriginAuthorizer oAuth)`
Returns a handler which can serve the /clientaccesspolicy.xml file used by Microsoft Silverlight.
`void`
WebHubProfile.ServerFactory.`setOriginAuthorizer(OriginAuthorizer oAuth)`
Sets the authorization policy for external origins.
Constructors in org.astrogrid.samp.web with parameters of type OriginAuthorizer
Modifier
Constructor
Description
``
`CorsHttpServer(ServerSocket socket, OriginAuthorizer authorizer)`
Constructor.
``
`LoggingCorsHttpServer(ServerSocket socket, OriginAuthorizer auth, PrintStream out)`
Constructor.
``
`OpenPolicyResourceHandler(String policyPath, ServerResource policyResource, OriginAuthorizer authorizer)`
Constructor.